aboutsummaryrefslogtreecommitdiff
path: root/test/dotnet/install_dotnet_6_focal.sh
diff options
context:
space:
mode:
authorChuck Lantz <clantz@microsoft.com>2022-11-14 22:41:32 +0300
committerGitHub <noreply@github.com>2022-11-14 22:41:32 +0300
commit17580ee22f38b3a16e6531a8139629fd2fd8234a (patch)
treed18d553e14e92dec4ccfe9b6ca3e4ccb6a1ec50f /test/dotnet/install_dotnet_6_focal.sh
parent258b107b39db9f28703bf6bfeed3102d54e1cafe (diff)
Add .NET 7, drop .NET 5 (#269)
* Add .NET 7, drop .NET 5 * Add libssl3 to common-utils for jammy * Handle lts/latest hard coding * Fix, improve tests * Bump version * Fix situation where version could come from either MS repo or OS * Remove unused option * Bump common version * Remove unused function * Restore DOTNET_ROOT per feedback
Diffstat (limited to 'test/dotnet/install_dotnet_6_focal.sh')
-rw-r--r--test/dotnet/install_dotnet_6_focal.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/test/dotnet/install_dotnet_6_focal.sh b/test/dotnet/install_dotnet_6_focal.sh
new file mode 100644
index 0000000..758f040
--- /dev/null
+++ b/test/dotnet/install_dotnet_6_focal.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+check "dotnet sdks" dotnet --list-sdks
+check "some major version of dotnet 6 is installed" bash -c "dotnet --list-sdks | grep '6\.[0-9]*\.[0-9]*'"
+check "dotnet version 6 installed" bash -c "ls -l /usr/share/dotnet/sdk | grep '6\.[0-9]*\.[0-9]*'"
+
+# Verify current symlink exists and works
+check "current link dotnet" /usr/local/dotnet/current/dotnet --info
+check "current link sdk" ls -l /usr/local/dotnet/current/sdk
+
+# Report result
+reportResults